<?php 
/**
 * Diese Date enthält einen beispielhaften Aufruf der XSLTemplateEnginde
 * @author Marcel Maaß <info@mm-newmedia.de>
 * @copyright MM Newmedia <http://www.mm-newmedia.de>
 * @since 2011-06-03
 */

/**
 * Beispielhaftes Array zur Datenübergabe mittels XSLTemplateEngine::assignVariables();
 * @see XSLTemplateEngine::assignVariables();
 * @var array
 */
$data = array(
	'home' => array(
		'menu' => array(
			array(
				'id' => 'blog',
				'link' => 'http://www.mm-newmedia.de/blog/',
				'title' => 'Blog'
			),
			array(
				'id' => 'about',
				'link' => 'http://www.mm-newmedia.de/index.php?page=about',
				'title' => 'Über uns'
			),
			array(
				'id' => 'service',
				'link' => 'http://www.mm-newmedia.de/index.php?page=service',
				'title' => 'Service'
			),
			array(
				'id' => 'reference',
				'link' => 'http://www.mm-newmedia.de/index.php?page=reference',
				'title' => 'Referenzen'
			),
			array(
				'id' => 'imprint',
				'link' => 'http://www.mm-newmedia.de/index.php?page=imprint',
				'title' => 'Impressum'
			)
		),
		'articles' => array(
			array(
				'title' => 'Der Titel des ersten Artikels',
				'text' => 'Hier steht dann der Text des ersten Artikels'
			),
			array(
				'title' => 'Der Titel des zweiten Artikels',
				'text' => 'Hier steht dann der Text des zweiten Artikels'
			),
		),
	)
);

// import
require_once('./lib/XSLTemplateEngine.class.php');

// XSLTemplateEngine initialisieren
$tpl = new XSLTemplateEngine('./xsl/home.xsl');

/**
 * Hier übergeben wir das oben definierte Array mit unseren Inhalten an die Template Engine
 * Dieser Weg ist zunächst auskommentiert. Zu Testzwecken kannst Du das direkte Einlasen von XML Dokumenten
 * ebenfalls auskommentieren und diese Zeile aktivieren, so dass die Daten aus einem Array eingelesen werden.
 */
//$tpl->assignVariables($data);

/**
 * Die Daten werden hier direkt aus einer statischen XML Datei gelesen
 * Es ist ebenfalls möglich die Daten für die Templates aus einem Array zu übergeben. Diese Funktion befindet
 * sich oberhalb dieses Kommentars und ist auskommentiert. Für die Übergabe des Arrays kommentiere einfach diese Funktion aus
 * und aktiviere die oben genannte Funktion
 */
$tpl->assignFile('./xml/home.xml');

/**
 * Ausgabe des gesamten Templates
 * Als Beispiel dient hier eine abgeänderte MM Newmedia Website
 */
$tpl->output();